Bug 614680 - Try to print repr() when a fatal garbage collection assertion fails
Summary: Try to print repr() when a fatal garbage collection assertion fails
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dave Malcolm
QA Contact: Petr Šplíchal
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 850013 971858
TreeView+ depends on / blocked
 
Reported: 2010-07-15 00:11 UTC by Dave Malcolm
Modified: 2018-11-14 12:41 UTC (History)
1 user (show)

Fixed In Version: python-2.6.6-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 850013 (view as bug list)
Environment:
Last Closed: 2011-05-19 11:36:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0554 normal SHIPPED_LIVE Moderate: python security, bug fix, and enhancement update 2011-05-19 11:35:29 UTC

Description Dave Malcolm 2010-07-15 00:11:16 UTC
Am seeing occasional assertion failures in the garbage collector.

These are typically reference-counting errors _somewhere_ in one of the DSOs linked into the python process, and are thus hard to track down.

See e.g. bug 613917

Arguably we could build without assertions, but this could well turn these errors into segfaults rather than asserts.

I've written a patch that changes these assertions so that they also attempt to print the repr() of the problem object to stderr before aborting, in the hope of better crash reports.

Sent upstream as:
http://bugs.python.org/issue9263

Comment 10 errata-xmlrpc 2011-05-19 11:36:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html

Comment 11 errata-xmlrpc 2011-05-19 13:07:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html


Note You need to log in before you can comment on or make changes to this bug.